Subject: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: João Távora <[email-masked]>
Date: Fri, 17 Apr 2020 12:57:22 +0100

On Fri, Apr 17, 2020 at 12:49 PM Eli Zaretskii <[email-masked]> wrote:

> > From: João Távora <[email-masked]>
> > Date: Fri, 17 Apr 2020 11:21:50 +0100
> > Cc: Stefan Monnier <[email-masked]>, Juri Linkov <
> [email-masked]>, [email-masked],
> >       Dmitry Gutov <[email-masked]>
> >
> > So I'm thinking of introducing lisp-data-mode later on in
> > master, following Stefan's patch. And using it only for `dir-locals.el`
> > for now (and for my own files of course).
> >
> > Is that OK with you?
>
> No.  IMO a mode included in the core should handle more that just one
> kind of file.  We've been through this, at least twice.  Why do you
> keep pushing?  It only adds to aggravation.
>

First, I don't know why you would feel aggravated by my
question. But I apologize anyway.  I thought we were making
progress.

Anyway, maybe that wasn't clear, but the new mode would
handle lots of files I have here.  It would allow me to design
better working methods for me and my team. I just can't show
you those files. But I hope you can take my word for it.

If you don't accept the "do no harm" criteria, how many
types of files produced by Emacs do you need before it
becomes useful in your criteria?  Is .dir-locals.el + another
one enough?  That's "more than just one".

João